Impossibile fare login su un dominio samba dopo l’upgrade a samba 2:3.6.6-6+deb7u9 (Errore domain_client_validate: unable to validate password for user xxxxx in domain XXXXX to Domain controller XXX.XXXXX.LOCALDOMAIN. Error was NT_STATUS_ACCESS_DENIED)

Se dopo aver aggiornato samba su Debian Wheezy, notate che nessun computer del vostro dominio riesce a loggarsi, ed ottenete l’errore:

 la relazione di trust tra questa workstation e il dominio primario non è riuscita

E nei log di samba trovate l’errore:

 domain_client_validate: unable to validate password for user xxxxx in domain XXXXX to Domain controller XXX.XXXXX.

Siete incappati nel bug Debian #820981.

Purtroppo questo aggiornamento blocca di fatto i logon ai domini.

Se il vostro server Samba non è un controller di dominio, installate winbind: dovrebbe risolvere il problema

sudo apt-get install winbind

Se invece il vostro server Samba è configurato come controller di dominio, allora l’unica soluzione è fare un downgrade alla versione precedente di samba, con il comando:

 apt-get install \
     smbclient=2:3.6.6-6+deb7u7 \
     libwbclient0=2:3.6.6-6+deb7u7 \
     samba-common=2:3.6.6-6+deb7u7 \
     samba=2:3.6.6-6+deb7u7 \
     samba-common-bin=2:3.6.6-6+deb7u7 \
     winbind=2:3.6.6-6+deb7u7 \
     libnss-winbind=2:3.6.6-6+deb7u7

Riferimenti:

Lascia un commento

Il tuo indirizzo email non sarà pubblicato.

*

Questo sito usa Akismet per ridurre lo spam. Scopri come i tuoi dati vengono elaborati.